package cn.com.ctop.common.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 规则计划清洗数据
 * @author jeecg-boot
 * @date   2020-11-16
 * @version V1.0
 */
@Data
@TableName("ctop_rule_data_plan")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_rule_data_plan对象", description="规则计划清洗数据")
public class RuleDataPlan {

	/**id*/
	@TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
	private Long id;
	/**accountId*/
	@Excel(name = "accountId", width = 15)
    @ApiModelProperty(value = "accountId")
	private Long accountId;
	/**planId*/
	@Excel(name = "planId", width = 15)
    @ApiModelProperty(value = "planId")
	private Long planId;
	/**externalUrl*/
	@Excel(name = "externalUrl", width = 15)
    @ApiModelProperty(value = "externalUrl")
	private String externalUrl;
	/**downloadUrl*/
	@Excel(name = "downloadUrl", width = 15)
    @ApiModelProperty(value = "downloadUrl")
	private String downloadUrl;
	/**cost*/
	@Excel(name = "cost", width = 15)
    @ApiModelProperty(value = "cost")
	private BigDecimal cost;
	/**convert*/
	@Excel(name = "convert", width = 15)
    @ApiModelProperty(value = "convert")
	private Long convert;
	/**convertCost*/
	@Excel(name = "convertCost", width = 15)
    @ApiModelProperty(value = "convertCost")
	private BigDecimal convertCost;
	/**nextDayOpenRate*/
	@Excel(name = "nextDayOpenRate", width = 15)
    @ApiModelProperty(value = "nextDayOpenRate")
	private BigDecimal nextDayOpenRate;
	/**付费方式*/
	@Excel(name = "付费方式", width = 15)
    @ApiModelProperty(value = "付费方式")
	private String pricing;
	/**出价*/
	@Excel(name = "出价", width = 15)
    @ApiModelProperty(value = "出价")
	private BigDecimal budget;
	/**createTime*/
    @ApiModelProperty(value = "createTime")
	private Date createTime;
	/**updateTime*/
    @ApiModelProperty(value = "updateTime")
	private Date updateTime;
}
